Package org.eclipse.ui.commands

## Class CommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ui.commands.CommandException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExecutionException`, `NotDefinedException`, `NotHandledException`

    @Deprecated
    public abstract class CommandException
    extends Exception

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
Signals that an exception occurred within the command architecture.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `CommandException`, Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is scheduled for deletion.

### Constructor Summary

Constructors
`CommandException​(String message)` Deprecated.
`CommandException​(String message, Throwable cause)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Throwable` `getCause()` Deprecated.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandException

    @Deprecated
    public CommandException​(String message)

Deprecated.
Creates a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message.

#### CommandException

    @Deprecated
    public CommandException​(String message,
                            Throwable cause)

Deprecated.
Creates a new instance of this class with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

### Method Detail

#### getCause

    @Deprecated
    public Throwable getCause()

Deprecated.
Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the cause or `null`
Since:
  3.1